#include "LogSystem.h"
#include <stdio.h>

static FILE* g_pFile = NULL;

void    LogSystemStart(char* _sLogFileName)
{
        g_pFile = fopen(_sLogFileName, "w");
        if (g_pFile == 0)
           exit(2);
}
        
void    LogSystemEnd()
{
        fclose(g_pFile);
}

void    LogSystemOut(char* _sOutString)
{
#ifdef LOG_ONLYONELINE  
        fseek(g_pFile, 0, SEEK_SET);
        fprintf(g_pFile, "%s\n******************************************", _sOutString);
#else
        fprintf(g_pFile, "%s\n", _sOutString);
#endif
        fflush(g_pFile);
}

