#ifndef UTILS_H
#define UTILS_H

#define  SCREEN_WIDTH   320
#define  SCREEN_HEIGHT  240

#define  COLOR_RGB16(R, G, B) (((R) << 11) | ((G) << 5) | ( (B) << 0))

typedef unsigned int           UINT;
typedef unsigned short         USHORT;

#ifndef NULL
#define NULL   0
#endif

#define SAFE_DELETE(X)  {if ((X) != NULL) delete (X);}
#define SAFE_DELETE_ARRAY(X)  {if ((X) != NULL) delete[] (X);}

void GP2XSetGamma(int g100);

#endif
